!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!
! read_forcing_fields.f90	Read forcing fields from disk.
!				Should change i/o to portable standard (eg. netcdf)...
!
!				Called by SUBROUTINE init_state.
! 
! twnh 25Aug01
!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

SUBROUTINE read_forcing_fields

! load global variables
USE grid_params
USE phys_params
USE dyn_vars

IMPLICIT NONE

! declaration of local variables
INTEGER	:: ii, jj, kk					! indices

! read QGPV relaxation field
IF (relax_type == 2 .OR. relax_type == 3) THEN
	WRITE(*,*) ' read_forcing_fields: Reading QGPV relaxation field.'
	OPEN(3, FILE='QGPV_relax.bin', FORM='UNFORMATTED')
	READ(3) (((q_relax(ii,jj,kk), ii=1,N_rad), jj=1,N_azim), kk=1,N_layer)
	CLOSE(3)
ELSE
        q_relax = 0.0_wp
ENDIF

! read streamfunction relaxation field
IF (relax_type == 1 .OR. relax_type == 3) THEN
	WRITE(*,*) ' read_forcing_fields: Reading streamfunction relaxation field.'
	OPEN(3, FILE='PSI_relax.bin', FORM='UNFORMATTED')
	READ(3) (((psi_relax(ii,jj,kk), ii=1,N_rad), jj=1,N_azim), kk=1,N_layer)
	CLOSE(3)
ELSE
	psi_relax = 0.0_wp
ENDIF

END SUBROUTINE read_forcing_fields
