!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!
! read_pu_fields.f90	Read model state from pickup file with number pu_step.
!			Should change i/o to portable standard (eg. netcdf)...
!
!			Called by SUBROUTINE init_state.
! 
! twnh 15Aug01
!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

SUBROUTINE read_pu_fields(pu_step)

! load global variables
USE grid_params
USE dyn_vars

IMPLICIT NONE

! declaration of local variables
INTEGER, INTENT(IN)	:: pu_step					! pickup step
INTEGER			:: ii, jj, kk					! indices
CHARACTER (LEN=30)	:: fullname
CHARACTER (LEN=10)	:: ext

! pickup dump of state at this step and next step
! build filename
WRITE(ext,'(I10.10)') pu_step

! read q field
WRITE(fullname,'(A,A,A)') 'QGPV.',ext,'.pu'
WRITE(*,*) ' read_pu_fields: Pickup dump of QGPV state at steps: ',pu_step,', ',pu_step+1,' from file: ',fullname
OPEN(3, FILE=fullname, FORM='UNFORMATTED')
READ(3) (((q(ii,jj,kk,this_step), ii=1,N_rad), jj=1,N_azim), kk=1,N_layer)
READ(3) (((q(ii,jj,kk,next_step), ii=1,N_rad), jj=1,N_azim), kk=1,N_layer)
CLOSE(3)

! read psi field
WRITE(fullname,'(A,A,A)') 'PSI_.',ext,'.pu'
WRITE(*,*) ' read_pu_fields: Pickup dump of streamfunction state at steps: ',pu_step,', ',pu_step+1,' from file: ',fullname
OPEN(3, FILE=fullname, FORM='UNFORMATTED')
READ(3) (((psi(ii,jj,kk,this_step), ii=1,N_rad), jj=1,N_azim), kk=1,N_layer)
READ(3) (((psi(ii,jj,kk,next_step), ii=1,N_rad), jj=1,N_azim), kk=1,N_layer)
CLOSE(3)

END SUBROUTINE read_pu_fields
